{
  "build": {
    "date": "Wed, 30 Oct 2024 07:45:26 PDT",
    "git-revision": "018bbc851866179fa9901f5227f4fa8666ecdfb6",
    "id": "266652300",
    "name": "LPD-2443,LPE-17829,LPE-17848,LPE-17926,LPS-196513,LRP-1615",
    "builder-revision": "34395726738269195b43685a64e72239c195bb6c",
    "rt-revision": "c6e92f36035e9067a135d71e6a14721a66042d1b"
  },
  "files": {
    "lpkg_files": [
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Forms and Workflow - Liferay Portal Workflow - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.portal.workflow.kaleo.service-5.0.50.jar",
            "new_name": "com.liferay.portal.workflow.kaleo.service-5.0.50.hotfix-9572-7310.jar",
            "added": [
              "OSGI-INF/com.liferay.portal.workflow.kaleo.service.impl.KaleoDefinitionServiceImpl.xml",
              "com/liferay/portal/workflow/kaleo/service/base/KaleoDefinitionServiceBaseImpl.class",
              "com/liferay/portal/workflow/kaleo/service/http/KaleoDefinitionServiceHttp.class",
              "com/liferay/portal/workflow/kaleo/service/http/KaleoDefinitionServiceSoap.class",
              "com/liferay/portal/workflow/kaleo/service/impl/KaleoDefinitionServiceImpl.class"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "META-INF/service.xml",
              "com/liferay/portal/workflow/kaleo/model/impl/KaleoDefinitionModelImpl$EscapedModelProxyProviderFunctionHolder.class",
              "com/liferay/portal/workflow/kaleo/model/impl/KaleoDefinitionModelImpl.class"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          },
          {
            "old_name": "com.liferay.portal.workflow.kaleo.definition.impl-5.0.18.jar",
            "new_name": "com.liferay.portal.workflow.kaleo.definition.impl-5.0.18.hotfix-9572-7310.jar",
            "added": [],
            "modified": [
              "META-INF/MANIFEST.MF",
              "OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.deployment.DefaultWorkflowDeployer.xml",
              "com/liferay/portal/workflow/kaleo/definition/internal/deployment/DefaultWorkflowDeployer.class"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Forms and Workflow - Liferay Portal Workflow - API.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.portal.workflow.kaleo.api-6.9.1.jar",
            "new_name": "com.liferay.portal.workflow.kaleo.api-6.9.1.hotfix-9572-7310.jar",
            "added": [
              "com/liferay/portal/workflow/kaleo/service/KaleoDefinitionService.class",
              "com/liferay/portal/workflow/kaleo/service/KaleoDefinitionServiceUtil.class",
              "com/liferay/portal/workflow/kaleo/service/KaleoDefinitionServiceWrapper.class"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "com/liferay/portal/workflow/kaleo/constants/packageinfo",
              "com/liferay/portal/workflow/kaleo/exception/packageinfo",
              "com/liferay/portal/workflow/kaleo/model/packageinfo",
              "com/liferay/portal/workflow/kaleo/packageinfo",
              "com/liferay/portal/workflow/kaleo/service/packageinfo",
              "com/liferay/portal/workflow/kaleo/service/persistence/packageinfo",
              "com/liferay/portal/workflow/kaleo/util/comparator/packageinfo"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Frontend Editor - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.frontend.editor.alloyeditor.web-4.0.37.jar",
            "new_name": "com.liferay.frontend.editor.alloyeditor.web-4.0.37.hotfix-9572-7310.jar",
            "added": [
              "previous-compilation-data.bin"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "META-INF/resources/alloyeditor/alloy-editor-all-min.js",
              "META-INF/resources/alloyeditor/alloy-editor-all-min.js.map",
              "META-INF/resources/alloyeditor/alloy-editor-all.js",
              "META-INF/resources/alloyeditor/alloy-editor-core-min.js",
              "META-INF/resources/alloyeditor/alloy-editor-core-min.js.map",
              "META-INF/resources/alloyeditor/alloy-editor-core.js",
              "META-INF/resources/alloyeditor/alloy-editor-no-ckeditor-min.js",
              "META-INF/resources/alloyeditor/alloy-editor-no-ckeditor-min.js.map",
              "META-INF/resources/alloyeditor/alloy-editor-no-ckeditor.js",
              "META-INF/resources/alloyeditor/alloy-editor-no-react-min.js",
              "META-INF/resources/alloyeditor/alloy-editor-no-react-min.js.map",
              "META-INF/resources/alloyeditor/alloy-editor-no-react.js",
              "META-INF/resources/manifest.json",
              "META-INF/resources/package.json",
              "package.json"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          },
          {
            "old_name": "com.liferay.frontend.editor.ckeditor.web-4.0.59.jar",
            "new_name": "com.liferay.frontend.editor.ckeditor.web-4.0.59.hotfix-9572-7310.jar",
            "added": [
              "META-INF/resources/ckeditor/plugins/easyimage/lang/el.js",
              "META-INF/resources/ckeditor/plugins/embedbase/lang/el.js",
              "META-INF/resources/ckeditor/plugins/emoji/lang/el.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/el.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/el.js",
              "previous-compilation-data.bin"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "META-INF/resources/ckeditor/CHANGES.md",
              "META-INF/resources/ckeditor/LICENSE.md",
              "META-INF/resources/ckeditor/adapters/jquery.js",
              "META-INF/resources/ckeditor/ckeditor.js",
              "META-INF/resources/ckeditor/config.js",
              "META-INF/resources/ckeditor/contents.css",
              "META-INF/resources/ckeditor/lang/_translationstatus.txt",
              "META-INF/resources/ckeditor/lang/af.js",
              "META-INF/resources/ckeditor/lang/ar.js",
              "META-INF/resources/ckeditor/lang/az.js",
              "META-INF/resources/ckeditor/lang/bg.js",
              "META-INF/resources/ckeditor/lang/bn.js",
              "META-INF/resources/ckeditor/lang/bs.js",
              "META-INF/resources/ckeditor/lang/ca.js",
              "META-INF/resources/ckeditor/lang/cs.js",
              "META-INF/resources/ckeditor/lang/cy.js",
              "META-INF/resources/ckeditor/lang/da.js",
              "META-INF/resources/ckeditor/lang/de-ch.js",
              "META-INF/resources/ckeditor/lang/de.js",
              "META-INF/resources/ckeditor/lang/el.js",
              "META-INF/resources/ckeditor/lang/en-au.js",
              "META-INF/resources/ckeditor/lang/en-ca.js",
              "META-INF/resources/ckeditor/lang/en-gb.js",
              "META-INF/resources/ckeditor/lang/en.js",
              "META-INF/resources/ckeditor/lang/eo.js",
              "META-INF/resources/ckeditor/lang/es-mx.js",
              "META-INF/resources/ckeditor/lang/es.js",
              "META-INF/resources/ckeditor/lang/et.js",
              "META-INF/resources/ckeditor/lang/eu.js",
              "META-INF/resources/ckeditor/lang/fa.js",
              "META-INF/resources/ckeditor/lang/fi.js",
              "META-INF/resources/ckeditor/lang/fo.js",
              "META-INF/resources/ckeditor/lang/fr-ca.js",
              "META-INF/resources/ckeditor/lang/fr.js",
              "META-INF/resources/ckeditor/lang/gl.js",
              "META-INF/resources/ckeditor/lang/gu.js",
              "META-INF/resources/ckeditor/lang/he.js",
              "META-INF/resources/ckeditor/lang/hi.js",
              "META-INF/resources/ckeditor/lang/hr.js",
              "META-INF/resources/ckeditor/lang/hu.js",
              "META-INF/resources/ckeditor/lang/id.js",
              "META-INF/resources/ckeditor/lang/is.js",
              "META-INF/resources/ckeditor/lang/it.js",
              "META-INF/resources/ckeditor/lang/ja.js",
              "META-INF/resources/ckeditor/lang/ka.js",
              "META-INF/resources/ckeditor/lang/km.js",
              "META-INF/resources/ckeditor/lang/ko.js",
              "META-INF/resources/ckeditor/lang/ku.js",
              "META-INF/resources/ckeditor/lang/lt.js",
              "META-INF/resources/ckeditor/lang/lv.js",
              "META-INF/resources/ckeditor/lang/mk.js",
              "META-INF/resources/ckeditor/lang/mn.js",
              "META-INF/resources/ckeditor/lang/ms.js",
              "META-INF/resources/ckeditor/lang/nb.js",
              "META-INF/resources/ckeditor/lang/nl.js",
              "META-INF/resources/ckeditor/lang/no.js",
              "META-INF/resources/ckeditor/lang/oc.js",
              "META-INF/resources/ckeditor/lang/pl.js",
              "META-INF/resources/ckeditor/lang/pt-br.js",
              "META-INF/resources/ckeditor/lang/pt.js",
              "META-INF/resources/ckeditor/lang/ro.js",
              "META-INF/resources/ckeditor/lang/ru.js",
              "META-INF/resources/ckeditor/lang/si.js",
              "META-INF/resources/ckeditor/lang/sk.js",
              "META-INF/resources/ckeditor/lang/sl.js",
              "META-INF/resources/ckeditor/lang/sq.js",
              "META-INF/resources/ckeditor/lang/sr-latn.js",
              "META-INF/resources/ckeditor/lang/sr.js",
              "META-INF/resources/ckeditor/lang/sv.js",
              "META-INF/resources/ckeditor/lang/th.js",
              "META-INF/resources/ckeditor/lang/tr.js",
              "META-INF/resources/ckeditor/lang/tt.js",
              "META-INF/resources/ckeditor/lang/ug.js",
              "META-INF/resources/ckeditor/lang/uk.js",
              "META-INF/resources/ckeditor/lang/vi.js",
              "META-INF/resources/ckeditor/lang/zh-cn.js",
              "META-INF/resources/ckeditor/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/a11yhelp.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/_translationstatus.txt",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/af.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/az.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/cy.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/da.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/de.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/el.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/en-gb.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/en.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/es.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/et.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/fi.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/fo.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/fr-ca.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/gu.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/he.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/hi.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/id.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/it.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/km.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/lt.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/mk.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/mn.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/no.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/si.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/sl.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/th.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/a11yhelp/dialogs/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/about/dialogs/about.js",
              "META-INF/resources/ckeditor/plugins/about/plugin.js",
              "META-INF/resources/ckeditor/plugins/adobeair/plugin.js",
              "META-INF/resources/ckeditor/plugins/autocomplete/skins/default.css",
              "META-INF/resources/ckeditor/plugins/autoembed/plugin.js",
              "META-INF/resources/ckeditor/plugins/autogrow/plugin.js",
              "META-INF/resources/ckeditor/plugins/autolink/plugin.js",
              "META-INF/resources/ckeditor/plugins/balloonpanel/plugin.js",
              "META-INF/resources/ckeditor/plugins/balloonpanel/skins/kama/balloonpanel.css",
              "META-INF/resources/ckeditor/plugins/balloonpanel/skins/moono-lisa/balloonpanel.css",
              "META-INF/resources/ckeditor/plugins/balloonpanel/skins/moono/balloonpanel.css",
              "META-INF/resources/ckeditor/plugins/balloontoolbar/plugin.js",
              "META-INF/resources/ckeditor/plugins/balloontoolbar/skins/default.css",
              "META-INF/resources/ckeditor/plugins/balloontoolbar/skins/kama/balloontoolbar.css",
              "META-INF/resources/ckeditor/plugins/balloontoolbar/skins/moono-lisa/balloontoolbar.css",
              "META-INF/resources/ckeditor/plugins/balloontoolbar/skins/moono/balloontoolbar.css",
              "META-INF/resources/ckeditor/plugins/bidi/plugin.js",
              "META-INF/resources/ckeditor/plugins/clipboard/dialogs/paste.js",
              "META-INF/resources/ckeditor/plugins/cloudservices/plugin.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/dialogs/codesnippet.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/az.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/da.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/de.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/el.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/en-gb.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/en.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/es.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/et.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/fi.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/fr-ca.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/he.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/id.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/it.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/km.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/lt.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/no.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/sl.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/th.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/codesnippet/plugin.js",
              "META-INF/resources/ckeditor/plugins/codesnippetgeshi/plugin.js",
              "META-INF/resources/ckeditor/plugins/colordialog/dialogs/colordialog.css",
              "META-INF/resources/ckeditor/plugins/colordialog/dialogs/colordialog.js",
              "META-INF/resources/ckeditor/plugins/colordialog/plugin.js",
              "META-INF/resources/ckeditor/plugins/copyformatting/lang/el.js",
              "META-INF/resources/ckeditor/plugins/copyformatting/plugin.js",
              "META-INF/resources/ckeditor/plugins/copyformatting/styles/copyformatting.css",
              "META-INF/resources/ckeditor/plugins/devtools/lang/_translationstatus.txt",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/az.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/cy.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/da.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/de.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/el.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/en-gb.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/en.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/es.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/et.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/fi.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/fr-ca.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/gu.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/he.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/id.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/it.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/km.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/lt.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/no.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/si.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/sl.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/devtools/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/devtools/plugin.js",
              "META-INF/resources/ckeditor/plugins/dialog/dialogDefinition.js",
              "META-INF/resources/ckeditor/plugins/div/plugin.js",
              "META-INF/resources/ckeditor/plugins/divarea/plugin.js",
              "META-INF/resources/ckeditor/plugins/docprops/dialogs/docprops.js",
              "META-INF/resources/ckeditor/plugins/docprops/plugin.js",
              "META-INF/resources/ckeditor/plugins/easyimage/dialogs/easyimagealt.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/az.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/da.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/de.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/en.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/et.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/it.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/no.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/easyimage/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/easyimage/plugin.js",
              "META-INF/resources/ckeditor/plugins/easyimage/styles/easyimage.css",
              "META-INF/resources/ckeditor/plugins/editorplaceholder/plugin.js",
              "META-INF/resources/ckeditor/plugins/elementspath/plugin.js",
              "META-INF/resources/ckeditor/plugins/embed/plugin.js",
              "META-INF/resources/ckeditor/plugins/embedbase/dialogs/embedbase.js",
              "META-INF/resources/ckeditor/plugins/embedbase/plugin.js",
              "META-INF/resources/ckeditor/plugins/embedsemantic/plugin.js",
              "META-INF/resources/ckeditor/plugins/emoji/lang/da.js",
              "META-INF/resources/ckeditor/plugins/emoji/plugin.js",
              "META-INF/resources/ckeditor/plugins/entities/plugin.js",
              "META-INF/resources/ckeditor/plugins/filebrowser/plugin.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/az.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/da.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/de.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/en.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/es.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/et.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/id.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/it.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/km.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/no.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/filetools/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/filetools/plugin.js",
              "META-INF/resources/ckeditor/plugins/find/dialogs/find.js",
              "META-INF/resources/ckeditor/plugins/find/plugin.js",
              "META-INF/resources/ckeditor/plugins/flash/plugin.js",
              "META-INF/resources/ckeditor/plugins/floatingspace/plugin.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/button.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/checkbox.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/form.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/hiddenfield.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/radio.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/select.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/textarea.js",
              "META-INF/resources/ckeditor/plugins/forms/dialogs/textfield.js",
              "META-INF/resources/ckeditor/plugins/forms/lang/el.js",
              "META-INF/resources/ckeditor/plugins/forms/plugin.js",
              "META-INF/resources/ckeditor/plugins/iframe/dialogs/iframe.js",
              "META-INF/resources/ckeditor/plugins/iframe/lang/el.js",
              "META-INF/resources/ckeditor/plugins/iframe/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/iframe/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/iframe/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/iframe/plugin.js",
              "META-INF/resources/ckeditor/plugins/iframedialog/plugin.js",
              "META-INF/resources/ckeditor/plugins/image/dialogs/image.js",
              "META-INF/resources/ckeditor/plugins/image/plugin.js",
              "META-INF/resources/ckeditor/plugins/image2/dialogs/image2.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/az.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/da.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/de.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/en.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/et.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/it.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/lt.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/imagebase/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/imagebase/plugin.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/language/lang/az.js",
              "META-INF/resources/ckeditor/plugins/language/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/language/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/language/lang/cy.js",
              "META-INF/resources/ckeditor/plugins/language/lang/da.js",
              "META-INF/resources/ckeditor/plugins/language/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/language/lang/de.js",
              "META-INF/resources/ckeditor/plugins/language/lang/el.js",
              "META-INF/resources/ckeditor/plugins/language/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/language/lang/en-gb.js",
              "META-INF/resources/ckeditor/plugins/language/lang/en.js",
              "META-INF/resources/ckeditor/plugins/language/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/language/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/language/lang/es.js",
              "META-INF/resources/ckeditor/plugins/language/lang/et.js",
              "META-INF/resources/ckeditor/plugins/language/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/language/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/language/lang/fi.js",
              "META-INF/resources/ckeditor/plugins/language/lang/fo.js",
              "META-INF/resources/ckeditor/plugins/language/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/language/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/language/lang/he.js",
              "META-INF/resources/ckeditor/plugins/language/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/language/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/language/lang/id.js",
              "META-INF/resources/ckeditor/plugins/language/lang/it.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/language/lang/km.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/language/lang/lt.js",
              "META-INF/resources/ckeditor/plugins/language/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/language/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/language/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/language/lang/no.js",
              "META-INF/resources/ckeditor/plugins/language/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/language/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/language/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/language/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/language/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/language/lang/sl.js",
              "META-INF/resources/ckeditor/plugins/language/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/language/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/language/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/language/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/language/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/language/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/language/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/language/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/language/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/language/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/language/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/language/plugin.js",
              "META-INF/resources/ckeditor/plugins/link/dialogs/anchor.js",
              "META-INF/resources/ckeditor/plugins/link/dialogs/link.js",
              "META-INF/resources/ckeditor/plugins/liststyle/dialogs/liststyle.js",
              "META-INF/resources/ckeditor/plugins/mathjax/dialogs/mathjax.js",
              "META-INF/resources/ckeditor/plugins/mathjax/plugin.js",
              "META-INF/resources/ckeditor/plugins/maximize/plugin.js",
              "META-INF/resources/ckeditor/plugins/mentions/plugin.js",
              "META-INF/resources/ckeditor/plugins/menubutton/plugin.js",
              "META-INF/resources/ckeditor/plugins/newpage/plugin.js",
              "META-INF/resources/ckeditor/plugins/notificationaggregator/plugin.js",
              "META-INF/resources/ckeditor/plugins/pastefromgdocs/filter/default.js",
              "META-INF/resources/ckeditor/plugins/pastefromgdocs/plugin.js",
              "META-INF/resources/ckeditor/plugins/pastefromlibreoffice/filter/default.js",
              "META-INF/resources/ckeditor/plugins/pastefromlibreoffice/plugin.js",
              "META-INF/resources/ckeditor/plugins/pastefromword/filter/default.js",
              "META-INF/resources/ckeditor/plugins/pastetools/filter/common.js",
              "META-INF/resources/ckeditor/plugins/pastetools/filter/image.js",
              "META-INF/resources/ckeditor/plugins/placeholder/dialogs/placeholder.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/af.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/az.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/cy.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/da.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/de.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/el.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/en-gb.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/en.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/es.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/et.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/fi.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/fr-ca.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/he.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/id.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/it.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/km.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/no.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/si.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/sl.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/th.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/placeholder/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/placeholder/plugin.js",
              "META-INF/resources/ckeditor/plugins/popup/plugin.js",
              "META-INF/resources/ckeditor/plugins/preview/plugin.js",
              "META-INF/resources/ckeditor/plugins/print/plugin.js",
              "META-INF/resources/ckeditor/plugins/save/plugin.js",
              "META-INF/resources/ckeditor/plugins/selectall/plugin.js",
              "META-INF/resources/ckeditor/plugins/sharedspace/plugin.js",
              "META-INF/resources/ckeditor/plugins/showblocks/plugin.js",
              "META-INF/resources/ckeditor/plugins/showborders/plugin.js",
              "META-INF/resources/ckeditor/plugins/smiley/dialogs/smiley.js",
              "META-INF/resources/ckeditor/plugins/smiley/plugin.js",
              "META-INF/resources/ckeditor/plugins/sourcearea/plugin.js",
              "META-INF/resources/ckeditor/plugins/sourcedialog/dialogs/sourcedialog.js",
              "META-INF/resources/ckeditor/plugins/sourcedialog/plugin.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/_translationstatus.txt",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/af.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/az.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/cy.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/da.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/de.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/el.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/en-ca.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/en-gb.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/en.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/es.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/et.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/fi.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/fr-ca.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/he.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/id.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/it.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/km.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/lt.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/no.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/si.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/sl.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/th.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/specialchar/dialogs/specialchar.js",
              "META-INF/resources/ckeditor/plugins/specialchar/lang/_translationstatus.txt",
              "META-INF/resources/ckeditor/plugins/specialchar/plugin.js",
              "META-INF/resources/ckeditor/plugins/stylescombo/plugin.js",
              "META-INF/resources/ckeditor/plugins/stylesheetparser/plugin.js",
              "META-INF/resources/ckeditor/plugins/table/dialogs/table.js",
              "META-INF/resources/ckeditor/plugins/tableresize/plugin.js",
              "META-INF/resources/ckeditor/plugins/tableselection/plugin.js",
              "META-INF/resources/ckeditor/plugins/tabletools/dialogs/tableCell.js",
              "META-INF/resources/ckeditor/plugins/templates/dialogs/templates.css",
              "META-INF/resources/ckeditor/plugins/templates/dialogs/templates.js",
              "META-INF/resources/ckeditor/plugins/templates/plugin.js",
              "META-INF/resources/ckeditor/plugins/templates/templatedefinition.js",
              "META-INF/resources/ckeditor/plugins/templates/templates/default.js",
              "META-INF/resources/ckeditor/plugins/textmatch/plugin.js",
              "META-INF/resources/ckeditor/plugins/textwatcher/plugin.js",
              "META-INF/resources/ckeditor/plugins/uicolor/dialogs/uicolor.css",
              "META-INF/resources/ckeditor/plugins/uicolor/dialogs/uicolor.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/_translationstatus.txt",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/af.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ar.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/az.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/cy.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/da.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/de.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/el.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/en-gb.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/en.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/es.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/et.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/fi.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/fr-ca.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/he.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/id.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/it.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/km.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/mk.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/no.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/si.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/sl.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/tt.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/vi.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/uicolor/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/uicolor/plugin.js",
              "META-INF/resources/ckeditor/plugins/uploadfile/plugin.js",
              "META-INF/resources/ckeditor/plugins/uploadimage/plugin.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/az.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/bg.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/ca.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/cs.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/da.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/de-ch.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/de.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/el.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/en-au.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/en.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/eo.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/es-mx.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/es.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/et.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/eu.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/fa.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/fr.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/gl.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/hr.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/hu.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/id.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/it.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/ja.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/km.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/ko.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/ku.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/lv.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/nb.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/nl.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/no.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/oc.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/pl.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/pt-br.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/pt.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/ro.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/ru.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/sk.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/sq.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/sr-latn.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/sr.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/sv.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/tr.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/ug.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/uk.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/zh-cn.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/lang/zh.js",
              "META-INF/resources/ckeditor/plugins/uploadwidget/plugin.js",
              "META-INF/resources/ckeditor/samples/css/samples.css",
              "META-INF/resources/ckeditor/samples/index.html",
              "META-INF/resources/ckeditor/samples/js/sample.js",
              "META-INF/resources/ckeditor/samples/js/sf.js",
              "META-INF/resources/ckeditor/samples/old/ajax.html",
              "META-INF/resources/ckeditor/samples/old/api.html",
              "META-INF/resources/ckeditor/samples/old/appendto.html",
              "META-INF/resources/ckeditor/samples/old/assets/outputxhtml/outputxhtml.css",
              "META-INF/resources/ckeditor/samples/old/assets/posteddata.php",
              "META-INF/resources/ckeditor/samples/old/assets/uilanguages/languages.js",
              "META-INF/resources/ckeditor/samples/old/autogrow/autogrow.html",
              "META-INF/resources/ckeditor/samples/old/bbcode/bbcode.html",
              "META-INF/resources/ckeditor/samples/old/codesnippet/codesnippet.html",
              "META-INF/resources/ckeditor/samples/old/datafiltering.html",
              "META-INF/resources/ckeditor/samples/old/devtools/devtools.html",
              "META-INF/resources/ckeditor/samples/old/dialog/assets/my_dialog.js",
              "META-INF/resources/ckeditor/samples/old/dialog/dialog.html",
              "META-INF/resources/ckeditor/samples/old/divarea/divarea.html",
              "META-INF/resources/ckeditor/samples/old/divreplace.html",
              "META-INF/resources/ckeditor/samples/old/docprops/docprops.html",
              "META-INF/resources/ckeditor/samples/old/easyimage/easyimage.html",
              "META-INF/resources/ckeditor/samples/old/emoji/emoji.html",
              "META-INF/resources/ckeditor/samples/old/enterkey/enterkey.html",
              "META-INF/resources/ckeditor/samples/old/htmlwriter/outputhtml.html",
              "META-INF/resources/ckeditor/samples/old/image2/image2.html",
              "META-INF/resources/ckeditor/samples/old/index.html",
              "META-INF/resources/ckeditor/samples/old/inlineall.html",
              "META-INF/resources/ckeditor/samples/old/inlinebycode.html",
              "META-INF/resources/ckeditor/samples/old/inlinetextarea.html",
              "META-INF/resources/ckeditor/samples/old/jquery.html",
              "META-INF/resources/ckeditor/samples/old/magicline/magicline.html",
              "META-INF/resources/ckeditor/samples/old/mathjax/mathjax.html",
              "META-INF/resources/ckeditor/samples/old/mentions/mentions.html",
              "META-INF/resources/ckeditor/samples/old/placeholder/placeholder.html",
              "META-INF/resources/ckeditor/samples/old/readonly.html",
              "META-INF/resources/ckeditor/samples/old/replacebyclass.html",
              "META-INF/resources/ckeditor/samples/old/replacebycode.html",
              "META-INF/resources/ckeditor/samples/old/sample.css",
              "META-INF/resources/ckeditor/samples/old/sample.js",
              "META-INF/resources/ckeditor/samples/old/sample_posteddata.php",
              "META-INF/resources/ckeditor/samples/old/sharedspace/sharedspace.html",
              "META-INF/resources/ckeditor/samples/old/sourcedialog/sourcedialog.html",
              "META-INF/resources/ckeditor/samples/old/stylesheetparser/stylesheetparser.html",
              "META-INF/resources/ckeditor/samples/old/tabindex.html",
              "META-INF/resources/ckeditor/samples/old/tableresize/tableresize.html",
              "META-INF/resources/ckeditor/samples/old/toolbar/toolbar.html",
              "META-INF/resources/ckeditor/samples/old/uicolor.html",
              "META-INF/resources/ckeditor/samples/old/uicolor/uicolor.html",
              "META-INF/resources/ckeditor/samples/old/uilanguages.html",
              "META-INF/resources/ckeditor/samples/old/wysiwygarea/fullpage.html",
              "META-INF/resources/ckeditor/samples/old/xhtmlstyle.html",
              "META-INF/resources/ckeditor/samples/toolbarconfigurator/index.html",
              "META-INF/resources/ckeditor/skins/kama/dialog.css",
              "META-INF/resources/ckeditor/skins/kama/dialog_ie.css",
              "META-INF/resources/ckeditor/skins/kama/dialog_ie7.css",
              "META-INF/resources/ckeditor/skins/kama/dialog_ie8.css",
              "META-INF/resources/ckeditor/skins/kama/dialog_iequirks.css",
              "META-INF/resources/ckeditor/skins/kama/editor.css",
              "META-INF/resources/ckeditor/skins/kama/editor_ie.css",
              "META-INF/resources/ckeditor/skins/kama/editor_ie7.css",
              "META-INF/resources/ckeditor/skins/kama/editor_ie8.css",
              "META-INF/resources/ckeditor/skins/kama/editor_iequirks.css",
              "META-INF/resources/ckeditor/skins/kama/readme.md",
              "META-INF/resources/ckeditor/skins/kama/skin.js",
              "META-INF/resources/ckeditor/skins/moono-lexicon/editor.css",
              "META-INF/resources/ckeditor/skins/moono-lexicon/editor_gecko.css",
              "META-INF/resources/ckeditor/skins/moono-lexicon/editor_ie.css",
              "META-INF/resources/ckeditor/skins/moono-lexicon/editor_ie8.css",
              "META-INF/resources/ckeditor/skins/moono-lexicon/editor_iequirks.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/dialog.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/dialog_ie.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/dialog_ie8.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/dialog_iequirks.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/editor.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/editor_gecko.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/editor_ie.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/editor_ie8.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/editor_iequirks.css",
              "META-INF/resources/ckeditor/skins/moono-lisa/readme.md",
              "META-INF/resources/ckeditor/skins/moono-lisa/skin.js",
              "META-INF/resources/ckeditor/skins/moono/dialog.css",
              "META-INF/resources/ckeditor/skins/moono/dialog_ie.css",
              "META-INF/resources/ckeditor/skins/moono/dialog_ie7.css",
              "META-INF/resources/ckeditor/skins/moono/dialog_ie8.css",
              "META-INF/resources/ckeditor/skins/moono/dialog_iequirks.css",
              "META-INF/resources/ckeditor/skins/moono/editor.css",
              "META-INF/resources/ckeditor/skins/moono/editor_gecko.css",
              "META-INF/resources/ckeditor/skins/moono/editor_ie.css",
              "META-INF/resources/ckeditor/skins/moono/editor_ie7.css",
              "META-INF/resources/ckeditor/skins/moono/editor_ie8.css",
              "META-INF/resources/ckeditor/skins/moono/editor_iequirks.css",
              "META-INF/resources/ckeditor/skins/moono/readme.md",
              "META-INF/resources/ckeditor/skins/moono/skin.js",
              "META-INF/resources/ckeditor/styles.js",
              "META-INF/resources/editor/ClassicEditor.js",
              "META-INF/resources/editor/Editor.js",
              "META-INF/resources/editor/InlineEditor.js",
              "META-INF/resources/index.js",
              "META-INF/resources/manifest.json",
              "META-INF/resources/package.json",
              "package.json"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Frontend Js - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.frontend.js.spa.web-4.0.46.jar",
            "new_name": "com.liferay.frontend.js.spa.web-4.0.46.hotfix-9572-7310.jar",
            "added": [],
            "modified": [
              "META-INF/MANIFEST.MF",
              "META-INF/resources/bridge/clayui%2Flayout/src/Col.js",
              "META-INF/resources/bridge/clayui%2Flayout/src/Container.js",
              "META-INF/resources/bridge/clayui%2Flayout/src/ContainerFluid.js",
              "META-INF/resources/bridge/clayui%2Flayout/src/Content.js",
              "META-INF/resources/bridge/clayui%2Flayout/src/Row.js",
              "META-INF/resources/bridge/clayui%2Flayout/src/Sheet.js",
              "META-INF/resources/bridge/clayui%2Flayout/src/index.js",
              "META-INF/resources/bridge/clayui%2Fprovider/src/DataClient.js",
              "META-INF/resources/bridge/clayui%2Fprovider/src/LRUCache.js",
              "META-INF/resources/bridge/clayui%2Fprovider/src/Provider.js",
              "META-INF/resources/bridge/clayui%2Fprovider/src/index.js",
              "META-INF/resources/bridge/senna/src/app/App.js",
              "META-INF/resources/bridge/senna/src/app/AppDataAttributeHandler.js",
              "META-INF/resources/bridge/senna/src/app/dataAttributeHandler.js",
              "META-INF/resources/bridge/senna/src/app/dataAttributes.js",
              "META-INF/resources/bridge/senna/src/app/version.js",
              "META-INF/resources/bridge/senna/src/cacheable/Cacheable.js",
              "META-INF/resources/bridge/senna/src/errors/errors.js",
              "META-INF/resources/bridge/senna/src/globals/globals.js",
              "META-INF/resources/bridge/senna/src/route/Route.js",
              "META-INF/resources/bridge/senna/src/screen/HtmlScreen.js",
              "META-INF/resources/bridge/senna/src/screen/RequestScreen.js",
              "META-INF/resources/bridge/senna/src/screen/Screen.js",
              "META-INF/resources/bridge/senna/src/senna.js",
              "META-INF/resources/bridge/senna/src/surface/Surface.js",
              "META-INF/resources/bridge/senna/src/utils/utils.js",
              "META-INF/resources/config.tmpl",
              "META-INF/resources/liferay/app/App.es.js",
              "META-INF/resources/liferay/init.es.js",
              "META-INF/resources/liferay/init.es.js.map",
              "META-INF/resources/liferay/screen/ActionURLScreen.es.js",
              "META-INF/resources/liferay/screen/EventScreen.es.js",
              "META-INF/resources/liferay/screen/RenderURLScreen.es.js",
              "META-INF/resources/liferay/surface/Surface.es.js",
              "META-INF/resources/liferay/util/Utils.es.js",
              "META-INF/resources/manifest.json",
              "META-INF/resources/package.json",
              "com/liferay/frontend/js/spa/web/internal/servlet/taglib/SPATopHeadJSPDynamicInclude.class",
              "com/liferay/frontend/js/spa/web/internal/servlet/taglib/helper/SPAHelper$NavigationExceptionSelectorTrackerCustomizer.class",
              "com/liferay/frontend/js/spa/web/internal/servlet/taglib/helper/SPAHelper.class",
              "package.json"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Server - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.server.admin.web-4.0.65.jar",
            "new_name": "com.liferay.server.admin.web-4.0.65.hotfix-9572-7310.jar",
            "added": [],
            "modified": [
              "META-INF/MANIFEST.MF",
              "META-INF/resources/add_log_category.jsp",
              "META-INF/resources/manifest.json",
              "META-INF/resources/package.json",
              "com/liferay/server/admin/web/internal/portlet/action/EditServerMVCActionCommand.class",
              "org/apache/jsp/add_005flog_005fcategory_jsp.class",
              "org/apache/jsp/add_005flog_005fcategory_jsp.java",
              "package.json",
              "previous-compilation-data.bin"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      }
    ],
    "jar_files": [
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.registry.api.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.registry.api.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/registry/collections/packageinfo",
          "com/liferay/registry/dependency/packageinfo",
          "com/liferay/registry/packageinfo",
          "com/liferay/registry/util/packageinfo"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.executor.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.executor.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/portal-kernel.jar",
        "new_name": "GLOBAL_LIB_PATH/portal-kernel.jar",
        "added": [
          "patcher-service.properties"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.portal.kernel/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.spi.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.spi.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/portal-impl.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/portal-impl.jar",
        "added": [
          "com/liferay/portal/ee/license/messaging/LicenseMessageListener.class",
          "patcher.properties"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.portal.impl/pom.properties",
          "com/liferay/portal/deploy/dependencies/maven/com.liferay.portal/com.liferay.util.taglib/pom.properties",
          "com/liferay/portal/deploy/dependencies/util-bridges.jar",
          "com/liferay/portal/deploy/dependencies/util-java.jar",
          "com/liferay/portal/deploy/dependencies/util-slf4j.jar",
          "com/liferay/portal/deploy/dependencies/util-taglib.jar",
          "com/liferay/portal/ee/license/LCSLicenseManager.class",
          "com/liferay/portal/ee/license/LicenseBottomJSPDynamicInclude.class",
          "com/liferay/portal/ee/license/LifecycleAction",
          "com/liferay/portal/ee/license/StartupAction",
          "com/liferay/portal/ee/license/UpdateLicenseAction.class",
          "com/liferay/portal/ee/license/a/a.class",
          "com/liferay/portal/ee/license/c.class",
          "com/liferay/portal/license/LicenseManager.class",
          "com/liferay/portal/license/a.class",
          "com/liferay/portal/license/a/a.class",
          "com/liferay/portal/license/a/b.class",
          "com/liferay/portal/license/a/c.class",
          "com/liferay/portal/license/a/e.class",
          "com/liferay/portal/license/a/h.class",
          "com/liferay/portal/license/b.class",
          "com/liferay/portal/license/util/Base64InputStream.class",
          "com/liferay/portal/license/util/Base64OutputStream.class",
          "com/liferay/portal/license/util/LocalLicenseManagerImpl.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.osgi.service.tracker.collections.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.osgi.service.tracker.collections.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.registry.impl.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.registry.impl.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.jaxws.osgi.bridge.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.jaxws.osgi.bridge.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.impl.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.impl.jar",
        "added": [
          "com/liferay/portal/app/license/a/a.class",
          "com/liferay/portal/app/license/impl/a.class",
          "com/liferay/portal/app/license/impl/a/a.class",
          "com/liferay/portal/app/license/impl/b$a.class",
          "com/liferay/portal/app/license/impl/b.class",
          "com/liferay/portal/app/license/impl/c.class"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseHookConfigurator.class"
        ],
        "removed": [
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseHookConfigurator$1.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier.class",
          "com/liferay/portal/app/license/internal/AppBundleTracker.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier$1.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier$MarketplaceAppBundleListener.class",
          "com/liferay/portal/app/license/impl/events/MarketplaceAppServicePreAction.class"
        ],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.nio.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.nio.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.process.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.process.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.lang.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.lang.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/support-tomcat.jar",
        "new_name": "GLOBAL_LIB_PATH/support-tomcat.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.support.tomcat/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.function.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.function.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.api.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.api.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.memory.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.memory.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.io.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.io.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.string.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.string.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-taglib.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-taglib.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.taglib/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-bridges.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-bridges.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.bridges/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "OSGI-INF/l10n/bundle_ar.properties",
          "OSGI-INF/l10n/bundle_ca.properties",
          "OSGI-INF/l10n/bundle_de.properties",
          "OSGI-INF/l10n/bundle_es.properties",
          "OSGI-INF/l10n/bundle_es_AR.properties",
          "OSGI-INF/l10n/bundle_es_CO.properties",
          "OSGI-INF/l10n/bundle_es_MX.properties",
          "OSGI-INF/l10n/bundle_fi.properties",
          "OSGI-INF/l10n/bundle_fr.properties",
          "OSGI-INF/l10n/bundle_fr_CA.properties",
          "OSGI-INF/l10n/bundle_gl.properties",
          "OSGI-INF/l10n/bundle_hu.properties",
          "OSGI-INF/l10n/bundle_ja.properties",
          "OSGI-INF/l10n/bundle_nl.properties",
          "OSGI-INF/l10n/bundle_pt_BR.properties",
          "OSGI-INF/l10n/bundle_sv.properties",
          "OSGI-INF/l10n/bundle_zh_CN.properties",
          "OSGI-INF/l10n/bundle_zh_TW.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-slf4j.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-slf4j.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.slf4j/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-java.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-java.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.java/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.resolver.hook.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.resolver.hook.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.equinox.log.bridge.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.equinox.log.bridge.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/system.packages.extra.mf"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.api.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.api.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      }
    ],
    "other_files": {
      "added_files": [],
      "modified_files": [
        "WAR_PATH/html/portal/license_activation.jsp",
        "WAR_PATH/html/portal/dynamic_include/view.jsp",
        "WAR_PATH/WEB-INF/classes/META-INF/MANIFEST.MF"
      ],
      "removed_files": []
    }
  },
  "fixed-issues": [
    "LPD-2443",
    "LPE-17829",
    "LPE-17848",
    "LPE-17926",
    "LPS-196513",
    "LRP-1615"
  ],
  "patch": {
    "built-for": "Liferay",
    "id": "hotfix-9572-7310",
    "name": "hotfix-9572",
    "product": "7310",
    "rank": "241030074526711",
    "type": "hotfix",
    "requirements": "u34"
  },
  "patching-tool": {
    "incompatible-version-message": "Please update Patching Tool to version 3.0.37 or higher in order to use this patch.",
    "version": "3037"
  },
  "file-checksums": {
    "file": "checksums.json",
    "checksum": "40d4e4849c91eaf1a5ec9f2c277819da517b52b38a22c474326d75df9be7ca3b"
  }
}